Index: make/Makefile.in
===================================================================
--- make/Makefile.in	(revision eb299afca294da0998dbb53893f0ce5cb35f0f8b)
+++ make/Makefile.in	(revision 29e68b75843aa889a15ca8dcfff1cd30fea9e963)
@@ -329,10 +329,7 @@
 
 depend-recursive \
-clobber-recursive \
 preinstall-recursive \
 debug-recursive \
-debug_install-recursive \
-profile-recursive \
-profile_install-recursive:
+profile-recursive:
 	@set fnord $(MAKEFLAGS); amf=$$2; \
 	dot_seen=no; \
@@ -356,18 +353,9 @@
 .PHONY: debug-recursive
 
-debug_install: debug_install-recursive
-.PHONY: debug_install-recursive
-
 profile: profile-recursive
 .PHONY: profile-recursive
 
-profile_install: profile_install-recursive
-.PHONY: profile-recursive
-
 preinstall: preinstall-recursive
 .PHONY: preinstall-recursive
-
-clobber: clobber-recursive
-.PHONY: clobber-recursive
 
 depend: depend-recursive
@@ -378,24 +366,12 @@
 .PHONY: debug debug-am
 
-debug_install-am:
-debug_install: debug_install-am
-.PHONY: debug_install debug_install-am
-
 profile-am:
 profile: profile-am
 .PHONY: profile profile-am
 
-profile_install-am:
-profile_install: profile_install-am
-.PHONY: profile_install profile_install-am
-
 preinstall-am:
 preinstall: preinstall-am
 .PHONY: preinstall preinstall-am
 
-clobber-am:
-clobber: clobber-am
-.PHONY: clobber clobber-am
-
 depend-am:
 depend: depend-am
Index: make/README
===================================================================
--- make/README	(revision eb299afca294da0998dbb53893f0ce5cb35f0f8b)
+++ make/README	(revision 29e68b75843aa889a15ca8dcfff1cd30fea9e963)
@@ -117,9 +117,5 @@
         debug and profile support.
 
-        Targets debug_install and profile_install are equivalent to 'make
-        install' except that debug (or profile) variants are built and
-        installed.
-
-        The targets debug, profile, debug_install, profile_install, etc., can be
+        The targets debug, profile, etc., can be
         invoked recursively at the directory make level.  So from the top of a
         tree, one could install a debug version of everything under that point
@@ -127,5 +123,6 @@
 
             $ cd src/lib
-            $ gmake debug_install
+            $ gmake debug
+            $ gmake install
 
         When building a command that is linked with a generated library, the
Index: make/Templates/Makefile.in
===================================================================
--- make/Templates/Makefile.in	(revision eb299afca294da0998dbb53893f0ce5cb35f0f8b)
+++ make/Templates/Makefile.in	(revision 29e68b75843aa889a15ca8dcfff1cd30fea9e963)
@@ -197,24 +197,12 @@
 .PHONY: debug debug-am
 
-debug_install-am:
-debug_install: debug_install-am
-.PHONY: debug_install debug_install-am
-
 profile-am:
 profile: profile-am
 .PHONY: profile profile-am
 
-profile_install-am:
-profile_install: profile_install-am
-.PHONY: profile_install profile_install-am
-
 preinstall-am:
 preinstall: preinstall-am
 .PHONY: preinstall preinstall-am
 
-clobber-am:
-clobber: clobber-am
-.PHONY: clobber clobber-am
-
 depend-am:
 depend: depend-am
Index: make/compilers/Makefile.in
===================================================================
--- make/compilers/Makefile.in	(revision eb299afca294da0998dbb53893f0ce5cb35f0f8b)
+++ make/compilers/Makefile.in	(revision 29e68b75843aa889a15ca8dcfff1cd30fea9e963)
@@ -197,24 +197,12 @@
 .PHONY: debug debug-am
 
-debug_install-am:
-debug_install: debug_install-am
-.PHONY: debug_install debug_install-am
-
 profile-am:
 profile: profile-am
 .PHONY: profile profile-am
 
-profile_install-am:
-profile_install: profile_install-am
-.PHONY: profile_install profile_install-am
-
 preinstall-am:
 preinstall: preinstall-am
 .PHONY: preinstall preinstall-am
 
-clobber-am:
-clobber: clobber-am
-.PHONY: clobber clobber-am
-
 depend-am:
 depend: depend-am
Index: make/custom/Makefile.in
===================================================================
--- make/custom/Makefile.in	(revision eb299afca294da0998dbb53893f0ce5cb35f0f8b)
+++ make/custom/Makefile.in	(revision 29e68b75843aa889a15ca8dcfff1cd30fea9e963)
@@ -225,24 +225,12 @@
 .PHONY: debug debug-am
 
-debug_install-am:
-debug_install: debug_install-am
-.PHONY: debug_install debug_install-am
-
 profile-am:
 profile: profile-am
 .PHONY: profile profile-am
 
-profile_install-am:
-profile_install: profile_install-am
-.PHONY: profile_install profile_install-am
-
 preinstall-am:
 preinstall: preinstall-am
 .PHONY: preinstall preinstall-am
 
-clobber-am:
-clobber: clobber-am
-.PHONY: clobber clobber-am
-
 depend-am:
 depend: depend-am
Index: make/custom/ts_386ex.cfg
===================================================================
--- make/custom/ts_386ex.cfg	(revision eb299afca294da0998dbb53893f0ce5cb35f0f8b)
+++ make/custom/ts_386ex.cfg	(revision 29e68b75843aa889a15ca8dcfff1cd30fea9e963)
@@ -23,8 +23,4 @@
 # -fomit-frame-pointer breaks debugging and C++ exceptions
 CFLAGS_OPTIMIZE_V=-O4
-
-# This target does support the TCP/IP stack so honour requests
-# to enable it.
-HAS_NETWORKING=yes
 
 # This BSP does not support librdbg
Index: make/directory.cfg
===================================================================
--- make/directory.cfg	(revision eb299afca294da0998dbb53893f0ce5cb35f0f8b)
+++ make/directory.cfg	(revision 29e68b75843aa889a15ca8dcfff1cd30fea9e963)
@@ -22,4 +22,39 @@
 	done && test -z "$$fail"
 
+
+# mostlyclean-recursive maintainer-clean-recursive:
+clean-recursive \
+distclean-recursive:
+	@set fnord $(MAKEFLAGS); amf=$$2; \
+	dot_seen=no; \
+	rev=''; list='$(SUB_DIRS)'; for subdir in $$list; do \
+	  rev="$$subdir $$rev"; \
+	  test "$$subdir" = "." && dot_seen=yes; \
+	done; \
+	test "$$dot_seen" = "no" && rev=". $$rev"; \
+	target=`echo $@ | sed s/-recursive//`; \
+	for subdir in $$rev; do \
+	  echo "Making $$target in $$subdir"; \
+	  if test "$$subdir" = "."; then \
+	    local_target="$$target-am"; \
+	  else \
+	    local_target="$$target"; \
+	  fi; \
+	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
+	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
+	done && test -z "$$fail"
+
+clean-am: clean-generic
+distclean-am: distclean-generic clean-am
+
 preinstall: preinstall-recursive
 .PHONY: preinstall preinstall-am preinstall-recursive
+
+distclean: distclean-recursive
+	-$(RM) config.status
+
+.PHONY: distclean distclean-am distclean-recursive
+
+clean: clean-recursive
+.PHONY: clean clean-am clean-recursive
+
Index: make/leaf.cfg
===================================================================
--- make/leaf.cfg	(revision eb299afca294da0998dbb53893f0ce5cb35f0f8b)
+++ make/leaf.cfg	(revision 29e68b75843aa889a15ca8dcfff1cd30fea9e963)
@@ -56,5 +56,5 @@
 # Builtin targets for compilation variants
 #
-debug debug_install:
+debug:
 	$(MAKE) -f $(MAKEFILE) MAKEFILE=$(MAKEFILE) "ARCH=${TARGET_ARCH}-debug" \
       "CFLAGS_DEBUG=$(CFLAGS_DEBUG_V)" \
@@ -62,5 +62,5 @@
       "LDFLAGS_DEBUG=$(LDFLAGS_DEBUG_V)" $(TARGET_VA)
 
-profile profile_install:
+profile:
 	$(MAKE) -f $(MAKEFILE) \
       MAKEFILE=$(MAKEFILE) "ARCH=${TARGET_ARCH}-profile" \
@@ -81,6 +81,5 @@
 
 #
-# TARGET_VA will convert $@ (expected to be 'debug' or
-#     'debug_install' or 'profile' etc.)
+# TARGET_VA will convert $@ (expected to be 'debug' or 'profile' etc.)
 #   into "" or "install" as appropriate.
 #   Used for variant recursion.
@@ -89,7 +88,4 @@
 TARGET_debug_V = all
 TARGET_profile_V = all
-
-TARGET_debug_install_V = install
-TARGET_profile_install_V = install
 
 TARGET_VA = $(TARGET_$@_V)
@@ -108,23 +104,25 @@
 LIBSUFFIX_VA = $(LIB_VARIANT).a
 
-get: $(SRCS) $(GET_ADDITIONS)
-
 #
-# Builtin clean and clobber rules
+# Builtin clean and distclean rules
 # Individual makefiles can add stuff via CLEAN_ADDITIONS and CLOBBER_ADDITIONS
 # If desperate to save something, they can override CLEAN_OS, CLEAN_CC, etc.
 #
 
-clean:
-	$(RM) -r a.out core mon.out gmon.out $(CLEAN_OS) $(CLEAN_CC)
-	$(RM) -r $(CLEAN_PROTO) $(CLEAN_DEPEND) a.out
-	$(RM) -r $(VARIANTS) $(CLEAN_ADDITIONS) $(IMPORT_SOURCE)
+clean-am: clean-generic
+	-$(RM) -r $(CLEAN_OS) $(CLEAN_CC) $(CLEAN_DEPEND)
+	-$(RM) -r $(VARIANTS)
+#	-$(RM) -r $(IMPORT_SOURCE)
 
-clobber: clean
-	-$(RCS_CLEAN)
-	$(RM) .#*
-	$(RM) -r $(CLOBBER_OS) $(CLOBBER_CC) $(CLOBBER_DEPEND)
-	$(RM) -r $(CLOBBER_ADDITIONS) a.out
+distclean-am: distclean-generic clean-am
+	-$(RM) -r $(CLOBBER_OS) $(CLOBBER_CC) $(CLOBBER_DEPEND)
 
 preinstall-am:
 preinstall: preinstall-am
+
+distclean: distclean-am
+	-$(RM) config.status
+clean: clean-am
+
+.PHONY: distclean distclean-am
+.PHONY: clean clean-am
Index: make/main.cfg
===================================================================
--- make/main.cfg	(revision eb299afca294da0998dbb53893f0ce5cb35f0f8b)
+++ make/main.cfg	(revision 29e68b75843aa889a15ca8dcfff1cd30fea9e963)
@@ -58,11 +58,10 @@
 #
 
-RECURSE_TARGETS=all clean protos get clobber depend install \
+RECURSE_TARGETS=all depend install \
 preinstall-recursive \
-$(TARGET_VARIANTS) $(TARGET_VARIANTS:%=%_install)
+$(TARGET_VARIANTS)
 
 ${ARCH}:
 	test -d ${ARCH} || mkdir ${ARCH}
-
 
 # general purpose forcing dependency; try to use .PHONY instead
@@ -71,3 +70,13 @@
 FORCE:
 
-.PHONY:	$(RECURSE_TARGETS)
+distclean-generic:
+	-$(RM) Makefile .#* $(CONFIG_CLEAN_FILES)
+	-$(RM) -r $(CLOBBER_ADDITIONS)
+
+clean-generic:
+	-$(RM) a.out core mon.out gmon.out
+	-$(RM) -r $(CLEAN_ADDITIONS)
+
+.PHONY:	$(RECURSE_TARGETS) 
+.PHONY: clean-generic
+.PHONY: distclean-generic
